Loading...
Searching...
No Matches
platform_defs.h File Reference

Go to the source code of this file.

## Macros

#define | ASSERT(EX)
#define | constpp const char * const *
#define | HAVE_32BIT_LONG 1
#define | HAVE_32BIT_PTR 1

## Typedefs

typedef int | __psint_t
typedef unsigned int | __psunsigned_t
typedef char * | xfs_caddr_t
typedef int64_t | xfs_daddr_t
typedef uint32_t | xfs_dev_t
typedef uint64_t | xfs_ino_t
typedef loff_t | xfs_off_t

## Macro Definition Documentation

## ASSERT

#define ASSERT | ( |  | EX | ) |

Value:
((void) 0)

## constpp

#define constpp const char * const *

## HAVE_32BIT_LONG

#define HAVE_32BIT_LONG 1

## HAVE_32BIT_PTR

#define HAVE_32BIT_PTR 1

## Typedef Documentation

## __psint_t

typedef int __psint_t

## __psunsigned_t

typedef unsigned int __psunsigned_t

## xfs_caddr_t

typedef char* xfs_caddr_t

## xfs_daddr_t

typedef int64_t xfs_daddr_t

## xfs_dev_t

typedef uint32_t xfs_dev_t

## xfs_ino_t

typedef uint64_t xfs_ino_t

## xfs_off_t

typedef loff_t xfs_off_t